Bug 1303317 - 4.3.3-303.fc23.x86_64: kernel panic on boot: 'not syncing: VFS: Unable to mount root fs on unknown block (0,0)' [NEEDINFO]
4.3.3-303.fc23.x86_64: kernel panic on boot: 'not syncing: VFS: Unable to mou...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-30 12:57 EST by reescf
Modified: 2016-12-20 13:19 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:19:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: needinfo? (reescf)


Attachments (Terms of Use)
/boot/efi/EFI/fedora/grub.cfg (5.72 KB, text/plain)
2016-02-02 17:52 EST, maarten
no flags Details

  None (edit)
Description reescf 2016-01-30 12:57:46 EST
Description of problem:

On boot or reboot, the kernel 4.3.3-303.fc23.x86_64 panics after selection from the GRUB menu and prior to request for LUKS password to access encrypted parts of disk, including the root filesystem.

The kernel panic ends with the following

end kernel panic - not syncing: VFS: Unable to mount root fs on unknown block (0,0)

The first line of output indicates that the kernel is untainted (as I would expect here - no proprietary drivers or similar).

So far, I've not seen this problem with 4.3.3-301.fc23.x86_64 or earlier kernels.

Version-Release number of selected component (if applicable):

4.3.3-303.fc23.x86_64

How reproducible:

Reasonably. 4 boots since kernel update with 3 kernel panics ending with the same line. It definitely failed on the first reboot following installation of the new kernel. It booted successfully on occasion 2 but I can't reproduce that now and have booted with 4.3.3-301 instead following at least 2 consecutive failures (possibly 3, but at least 2).

Steps to Reproduce:
1. Install 4.3.3-303.fc23.x86_64 as part of system update.
2. Regenerate grub.cfg using grub2-mkconfig -o /boot/grub2/grub.cfg because this does not (ever) happen automatically.
3. Reboot. 
4. Hard poweroff on kernel panic.
5. Boot and repeat as necessary, switching to earlier kernel if the situation seems too hopeless.

Actual results:

Untainted kernel panics with message noted above after display of GRUB menu but prior to request for LUKS password.

Expected results:

Kernel does not panic, boot proceeds as expected and LUKS password is requested so that volumes can be mounted as usual.

Additional info:

Machine uses LVM over LUKS. / is encrypted. /boot is not encrypted.

Command line where LVG is the name of the logical volume group, LOCAL is the name of the logical volume mounted at /usr/local, HOME is the name of the logical volume mounted at /home and OTHER is a logical volume mounted in /mnt/:

BOOT_IMAGE=/vmlinuz-4.3.3-303.fc23.x86_64 root=/dev/mapper/LVG-fedora ro rd.md=0 rd.dm=0 rd.lvm.lv=LVG/swap rd.luks.uuid=luks-<long ID number> vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rd.lvm.lv=LVG/fedora rd.lvm.lv=LVG/LOCAL rd.lvm.lv=LVG/OTHER rd.lvm.lv=LVG/HOME rhgb quiet 

In grub.cfg:

linux16 /vmlinuz-4.3.3-303.fc23.x86_64 root=/dev/mapper/LVG-fedora ro rd.md=0 rd.dm=0  rd.lvm.lv=LVG/swap rd.luks.uuid=luks-<long ID number> vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rd.lvm.lv=LVG/fedora rd.lvm.lv=LVG/LOCAL rd.lvm.lv=LVG/OTHER rd.lvm.lv=LVG/HOME rhgb quiet 

The line for the previous kernel is identical except that it has 301 in place of 303.

Apologies if this bug has been reported. Search appears to be broken at the moment.
Comment 1 Josh Boyer 2016-01-30 20:58:01 EST
95% of the time this is because your grub.cfg is missing the line to load the initramfs or the initramfs file itself is corrupted or incomplete.  Each kernel stanza should have both the linux and initrd lines included in it to load the corresponding files.  Please attach your grub.cfg file.  Also, please attach the output of 'ls -l /boot/initramfs*'

As a side note, if you find yourself having to regenerate the grub.cfg file after a kernel install, that is a sign of your userspace setup being broken.  How it is broken I have no idea, but it should not be necessary to run grub2-mkconfig by hand.
Comment 2 maarten 2016-02-02 17:52 EST
Created attachment 1120579 [details]
/boot/efi/EFI/fedora/grub.cfg
Comment 3 maarten 2016-02-02 17:52:43 EST
I just installed kernel 4.3.4-200.fc22 and am facing the same kernel panic.
(screenshot at http://share.pho.to/A0lCh since sysctl -b -1 does not show anything).

My root filesystem is btrfs.

Booting 4.2.8-200 works. I am using it now.

# ls -l /boot/initramfs*
-rw-rw-r--. 1 root root 46570611 May 26  2015 /boot/initramfs-0-rescue-dc2e42bdbf274fd4ab4fc03989cafb0b.img
-rw-r--r--. 1 root root 19292643 Dec 18 07:03 /boot/initramfs-4.2.7-200.fc22.x86_64.img
-rw-r--r--. 1 root root 19305332 Dec 27 15:26 /boot/initramfs-4.2.8-200.fc22.x86_64.img
-rw-r--r--. 1 root root 19373400 Feb  2 20:20 /boot/initramfs-4.3.4-200.fc22.x86_64.img

Attached, you can find /boot/efi/EFI/fedora/grub.cfg
Comment 4 maarten 2016-02-02 18:29:10 EST
I noticed my grub.cfg did not have the initrdefi line.

Running grub2-mkconfig to regenerate the grub.cfg makes the panic disappear.
Comment 5 Fedora End Of Life 2016-11-24 10:18:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:19:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.